Skip to main content
POST
/
api
/
public
/
v2
/
tool-registry
/
{tool_id}
/
external-ids
Attach Tool Registry External ID
curl --request POST \
  --url https://api.promptlayer.com/api/public/v2/tool-registry/{tool_id}/external-ids \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "source": "<string>",
  "external_id": "<string>"
}
'
import requests

url = "https://api.promptlayer.com/api/public/v2/tool-registry/{tool_id}/external-ids"

payload = {
"source": "<string>",
"external_id": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({source: '<string>', external_id: '<string>'})
};

fetch('https://api.promptlayer.com/api/public/v2/tool-registry/{tool_id}/external-ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "external_id": {
    "source": "<string>",
    "external_id": "<string>"
  }
}
{
"message": "<string>",
"success": false
}
{
"message": "<string>",
"success": false
}
{
"message": "<string>",
"success": false
}
{
"message": "<string>",
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Attach a {source, external_id} mapping to an existing tool registry entry. Attaching the same mapping to the same tool is idempotent. Reusing the mapping on another entity returns 409 Conflict. See External IDs.

Authorizations

X-API-KEY
string
header
required

Path Parameters

tool_id
integer
required

Body

application/json

External ID mapping to attach to an entity.

source
string
required

The external system or namespace that owns the ID.

Required string length: 1 - 128
external_id
string
required

The identifier for this entity in the external system.

Required string length: 1 - 512

Response

External ID attached

success
boolean
default:true
required
external_id
ExternalId · object
required

Customer-defined mapping between a PromptLayer entity and an external system identifier.